IcedTea-Web NetX

## net.sourceforge.jnlp
Class PackageDesc

    java.lang.Object
      net.sourceforge.jnlp.PackageDesc

    public class PackageDesc

extends java.lang.Object

The package element.

Constructor Summary
`PackageDesc(java.lang.String name, java.lang.String part, boolean recursive)` Create a package descriptor.

Method Summary
`java.lang.String` `getName()` Returns the package name.
`java.lang.String` `getPart()` Returns the part name.
`boolean` `isRecursive()` Returns whether subpackages should be matched by this package.
`boolean` `matches(java.lang.String className)` Returns whether the specified class is part of this package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageDesc

    public PackageDesc(java.lang.String name,
                       java.lang.String part,
                       boolean recursive)

  Create a package descriptor.

  Parameters:
    `name` - the package name
    `part` - the part required by the package
    `recursive` - whether the package includes subpackages

Method Detail

### matches

    public boolean matches(java.lang.String className)

  Returns whether the specified class is part of this package.

  Parameters:
    `className` - the fully qualified class name

### getName

    public java.lang.String getName()

  Returns the package name.

### getPart

    public java.lang.String getPart()

  Returns the part name.

### isRecursive

    public boolean isRecursive()

  Returns whether subpackages should be matched by this package.

IcedTea-Web NetX

Submit a bug or feature